package com.xzzn.ems.service;

import com.xzzn.ems.domain.vo.*;

import java.util.List;

/**
 * 站点信息 服务层
 *
 */
public interface IHomePageService
{

    public SiteTotalInfoVo getSiteTotalInfo();

    public SingleSiteBaseInfo getSingleSiteBaseInfo(String siteId);

    public HomePageDataViewVo getHomePageDataList();

    public List<SiteMonitorDataVo> getSevenChargeData(DateSearchRequest request);
}
